Category: Wiki Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed Affected version:  

Description

When renaming a wiki page in order to move it to a different project, I change the Project in the renaming form first. But, the Parent

page pick list is not updated according to the selected project. Therefore, it's not possible to set a parent from the target project and I

can move it to the root only.

A wrong selection of the Parent page leads to "Parent page doesn't belong to the same project" error then.

I think that the Parent page pick list should be always filled in according to the Project selection.
Associated revisions

Revision 17284 - 2018-04-07 12:27 - Go MAEDA

Moving a wiki page to a different project should refresh parent page list (#22975).

Patch by Mizuki ISHIKAWA.

History

#1 - 2016-06-04 09:34 - Jean-Philippe Lang

- Tracker changed from Feature to Defect

- Subject changed from Moving a wiki page to a different project to Moving a wiki page to a different project should refresh parent page list

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

#2 - 2018-03-07 06:31 - Mizuki ISHIKAWA

- File change_the_list_of_parent_pages_when_changing_project.patch added

This problem still exists.

I wrote a patch to solve this problem.

When this patch is applied, the list of Parent Page will change according to Project change.

#3 - 2018-03-07 08:59 - Mischa The Evil

Mizuki ISHIKAWA wrote:

I wrote a patch to solve this problem.

 Nice. Thanks for sharing it here. Can you add some test coverage for this?

#4 - 2018-03-07 09:27 - Mizuki ISHIKAWA

Thank you for reviewing the patch,  Mischa The Evil.

Mischa The Evil wrote:

Mizuki ISHIKAWA wrote:

I wrote a patch to solve this problem.
 Nice. Thanks for sharing it here. Can you add some test coverage for this?

 Since there is almost no Ruby code in this patch, so I thought there was no test that could be added.

Is there a place where you can write tests from the perspective of you?

#5 - 2018-03-10 06:55 - Go MAEDA

The patch swaps the positions of "Parent page" and "Project" field. Is it necessary?

#6 - 2018-03-12 07:59 - Mizuki ISHIKAWA

Parent page will be changed by Project change.

If there is a “Parent page" above “Project” (current), I think there is a possibility that I do not notice that the list of “Parent page" has been changed.

If there is a "Parent page" is under "Project", I thought that I could perform an intuitive operation in order from top to bottom, so I changed it.

This change is not absolutely necessary.

#7 - 2018-03-14 04:13 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.0.0

Although Jean-Philippe Lang set the target version to "Candidate for next minor release", I am setting target version to 4.0.0 because the proposed

patch changes the UI (swaps the positions of "Parent page" and "Project" field).

#8 - 2018-04-07 12:27 - Go MAEDA

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed. Thank you for improving Redmine.
